Subject: Re: [manet] REPORT-MIB --- update? (UNCLASSIFIED)

From: Abdussalam Baryun <[email-masked]>
Date: Mon, 8 Dec 2014 21:24:51 -0800

Dear Authors,

You updated the WG's draft without replying to my discussion. This is
my last reminder of my questions that were not answered until now.
Please help. Thanks.

AB

Participant from Africa

On 9/4/14, Abdussalam Baryun <[email-masked]> wrote:
> Hi Robert,
>
> I am trying to track the discussions for this draft (not easy to track them
> in IETF WG). However, I want to ask about the reason for changing draft
> direction. There were some questions not answered/discussed by WG in
> IETF meeting 87. Comments below,
>
> On Tuesday, September 2, 2014, Cole, Robert G CIV USARMY CERDEC (US) wrote:
>
>> Classification: UNCLASSIFIED
>> Caveats: NONE
>>
>> To all:
>>
>> I did not want to comment on the questions regarding the status of the
>> REPORT-MIB definition until I had pretty much wrapped up the SMF-MIB
>> (which
>> I believe is close to publication).
>
>
> Do you mean Thomas's questions [2, 3]?
>
>
>> With the permission of the working group and the chairs, I would like to
>> proceed with the design and development of the REPORT-MIB?
>
>
> I support that.
>
>
>>
>> The hold up over the last year has been the appropriate architecture for
>> the REPORT-MIB.  It was initially designed following RMON II tables.
>> Last
>> year Andy suggested (based upon conversations with others involved with
>> the
>> DISMAN WG years ago) that we should base the REPORT-MIB on the DISMAN
>> base
>> of MIBs.
>
>
> Why was that suggestion appropriate? I tried to find the suggestion input
> in IETF, but failed to find Andy's input. What is wrong with it based
> on RMON?
>
>
>>  I believe I now know how to accomplish this and I would like to rewrite
>> the report-mib-04 within the context of the DISMAN MIBs, e.g., EVENT-MIB,
>> EXPRESSION-MIB, etc.
>
>
> I prefer we discuss it first because report-mob-03 is WG doc and not sure
> of the answers of the questions you referred to (you may mean [1, 2,
> 3]). So I Disagree to change our work context before a reason discussion (I
> may missed the discussion but still looking for it). I hope we start with
> one new version -04 with only additions then we discuss changes in next
> versions.
>
>
>>
>> So if this is OK with the group, I need a few weeks to work up the 04
>> version of the REPORT-MIB draft and post by the end of September.
>
>
> IMHO It is ok to add context not change/delete previous context if we have
> not discussed.
>
> Thanks for your input.
> AB
>
>
> [1]. http://www.ietf.org/mail-archive/web/manet/current/msg15963.html
>
> [2]. http://www.ietf.org/mail-archive/web/manet/current/msg16503.html
>
> [3]. Minutes of IETF 87 MANET WG meeting, (chair section, MANET management
> section).
>